package Servlet;

import Datos.EjercicioDB;
import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Modelo.Ejercicio;
import java.util.UUID;

public class CrearEjercicio2Servlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding==null) {
            request.setCharacterEncoding("UTF-8");
        }
        String url = "";
        HttpSession sesion = request.getSession();
        String concepto1 = (String) request.getParameter("concepto1");
        if(concepto1 == null){
            concepto1="";
        }
        String concepto2 = (String) request.getParameter("concepto2");
        if(concepto2 == null){
            concepto2="";
        }
        String concepto3 = (String) request.getParameter("concepto3");
        if(concepto3 == null){
            concepto3="";
        }
        String categoria_ejercicio = (String) request.getParameter("categoria_ejercicio");
        String tipo_ejercicio = (String) request.getParameter("tipo");
        String nombre_ejercicio = (String) request.getParameter("nombre_ejercicio");
        String descripcion_ejercicio = (String) request.getParameter("descripcion_ejercicio");
        String id_ejercicio = UUID.randomUUID().toString();
        Ejercicio ejercicio = new Ejercicio(id_ejercicio, nombre_ejercicio, descripcion_ejercicio, categoria_ejercicio, concepto1, concepto2, concepto3, tipo_ejercicio);
        if(EjercicioDB.addEjercicio(ejercicio)){
            url = "/mensaje.jsp?mensaje=Ejercicio creado correctamente";
        }else{
            url = "/mensaje.jsp?mensaje=Error al crear el ejercicio";
        }
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
